=== debian/control ===
Source: ros-noetic-clpe
Section: misc
Priority: optional
Maintainer: Dongwoo Sun <dwsun@can-lab.co.kr>
Build-Depends: debhelper (>= 9.0.0), gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, pkg-config, procps, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-clpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, procps
Description: clpe sdk
